Debian Bug report logs - #46859
hurd_thread_cancel trips assertion

Package: libc0.3; Maintainer for libc0.3 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.3 is src:eglibc.

Reported by: Mark Kettenis <kettenis@wins.uva.nl>

Date: Thu, 7 Oct 1999 15:48:01 UTC

Severity: wishlist

Tags: jessie, sid

Merged with 195360

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bug-hurd@gnu.org, Debian GNU C Library Maintainers <debian-glibc@lists.debian.org>:
Bug#46859; Package libc0.2. Full text and rfc822 format available.

Acknowledgement sent to Mark Kettenis <kettenis@wins.uva.nl>:
New Bug report received and forwarded. Copy sent to bug-hurd@gnu.org, Debian GNU C Library Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Kettenis <kettenis@wins.uva.nl>
To: submit@bugs.debian.org
Subject: hurd_thread_cancel trips assertion
Date: Thu, 7 Oct 1999 17:46:53 +0200 (CEST)
Package: libc0.2
Version: N/A
Severity: critical

Note: I'm sending this report such that this bug will enter the Debian
BTS.  The bug has been discussed before on bug-hurd and Roland will
(eventually) look into it.  I don't think any immedeate action needs
to be taken by any other party.  A summary of the discussion on
bug-hurd follows.


I caught the term server on /dev/console failing the following
assertion in hurd_thread_cancel() (hurd/thread-cancel.c:46):

  assert (! __spin_lock_locked (&ss->critical_section_lock));

Since there is no guarantee that the target thread is not in a
critical section, there is obviously something wrong here.

Thomas suggested that there is no need to take the critical section
lock.  I believe that taking the critical section lock is necessary to
prevent the target thread from entering a signal handler.  Roland will
look into the problem.


Mark


Bug reassigned from package `libc0.2' to `glibc'. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sid Request was from Robert Millan <zeratul2@wanadoo.es> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `glibc' to `libc0.3'. Request was from rmurray@cyberhqz.com (Ryan Murray) to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Mark Kettenis <kettenis@wins.uva.nl>:
Bug#46859. Full text and rfc822 format available.

Message #14 received at 46859-submitter@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@nisa.net>
To: 46859-submitter@bugs.debian.org
Subject: Hurd bug
Date: Mon, 21 Oct 2002 19:11:56 -0700
Mark, (Heya, long time)

I'm just cleaning out the glibc BTS.  I pinged Roland about this bug
earlier today, and he indicated that he had no intention of touching
this code until he did a massive overhaul on it.

At a minimum, I'd like to downgrade this bug to 'normal'.  Ideally,
I'd like to close it, since it 1) Will never be fixed in a way that's
meaningful to this bug and 2) it's not in a place that Roland ever
looks anyway.

It might be best to submit this in upstreams gnats database to meet
your original need.

Lemme know.


-- 
learning from failures is nice in theory...
but in practice, it sucks :)
 - Wolfgang Jaehrling



Severity set to `wishlist'. Request was from GOTO Masanori <gotom@debian.or.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 46859 195360. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: unreproducible Request was from Nathanael Nerode <neroden@twcny.rr.com> to control@bugs.debian.org. Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:10:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.